The following SecuriSync clients are available:

The following OS and platforms are supported:

Desktop

  • Windows: 7, 8, 8.1, 10                                                                                                    
    Internet Explorer 9 is required to run SecuriSync. For Windows XP and Windows Vista older SecuriSync client can be used. Note: this client version is no longer supported. We strongly recommend using the latest SecuriSync client or upgrade your OS version.
  • Mac: 
    The latest app works on Yosemite, El Capitan, Sierra, High Sierra
    App v. 2.13 works on Lion, Mountain Lion, Mavericks
    App v. 2.10 and older work on Snow Leopard
    Older SecuriSync version 2.13.53 is available for download:

Web

  • Chrome
  • Firefox
  • Internet Explorer (10 & higher)
  • Opera
  • Safari

Mobile

  • Compatible with iPhone, iPad, and iPod touch, iOS 9.0+ is supported
  • Latest version of SecuriSync Android App requires Android 4.0+
    App v. 2.12 and older work on Android 2.1+ (including Amazon Kindle Fire)
  • BlackBerry OS10
  • Windows Phone 8 and higher